View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000410OpenFOAM[All Projects] Bugpublic2012-02-02 17:592012-02-23 17:48
Reporterarnau1985 
Assigned Tochris 
PriorityurgentSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSUbuntuOS Version10.04
Product Version2.1.x 
Target VersionFixed in Version 
Summary0000410: Error in the Ubuntu Deb Pack Installation (when pre-downloading packages with "wget" - 3rd step)
DescriptionWhen I follow step 3 of the Ubuntu Deb Pack Installation of OpenFOAM 2.1.0:

"3. 30 Jan 2012: Due to changes in download mirror redirects that exceed a 360 character limit on URLs in APT, packages need to be pre-downloaded. Copy and Paste the following lines into a terminal prompt:
sudo wget `apt-get -qq --print-uris download openfoam210 | awk -F\' '{print $2}'` -P /var/cache/apt/archives
sudo wget `apt-get -qq --print-uris download paraviewopenfoam3120 | awk -F\' '{print $2}'` -P /var/cache/apt/archives"

I get the following error:

"wget: missing URL
Usage: wget [OPTION]... [URL]...

Try `wget --help' for more options."
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000999)
wyldckat (reporter)
2012-02-02 18:07

What do these commands output:
  apt-get -qq --print-uris download openfoam210
  sudo apt-get install openfoam210
(0001010)
arnau1985 (reporter)
2012-02-03 10:26

The first command outputs:

  E: Invalid operation download

And the second one (even after running "sudo apt-get update" and trying with "--fix-missing"):

  E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
(0001013)
wyldckat (reporter)
2012-02-03 12:06
edited on: 2012-02-03 12:10

Ah, you've got Ubuntu 10.04, so try this instead:
   apt-get -qq --print-uris install openfoam210

If it works, then run things like this:
  sudo wget `apt-get -qq --print-uris install openfoam210 | awk -F\' '{print $2}'` -P /var/cache/apt/archives
  sudo wget `apt-get -qq --print-uris install paraviewopenfoam3120 | awk -F\' '{print $2}'` -P /var/cache/apt/archives"

(0001018)
arnau1985 (reporter)
2012-02-03 12:51

Yes, I use Ubuntu 10.04 LTS.
From the first command (apt-get -qq --print-uris install openfoam210) I get no output, the prompt line appears again.

From the second one ( sudo wget `apt-get -qq --print-uris install openfoam210 | awk -F\' '{print $2}'` -P /var/cache/apt/archives) I get the same output:

wget: missing URL
Usage: wget [OPTION]... [URL]...
Try `wget --help' for more options.

And from the third command (sudo wget `apt-get -qq --print-uris install paraviewopenfoam3120 | awk -F\' '{print $2}'` -P /var/cache/apt/archives"), the bash freezes and when I abort with Ctrl+D, I get:

bash: unexpected EOF while looking for matching `"'
(0001020)
wyldckat (reporter)
2012-02-03 13:14

Sorry about that, I copied from your initial post. The " at the end of the third line should not exist.

If the first line doesn't return anything, then the other two will not work.

According to your feedback, it looks like a step went wrong somewhere. What does the following command output:
  cat /etc/apt/sources.list.d/openfoam.list
(0001021)
arnau1985 (reporter)
2012-02-03 13:22

If I remove the last " from 3rd line I get again:

wget: missing URL
Usage: wget [OPTION]... [URL]...
Try `wget --help' for more options.

When I try cat /etc/apt/sources.list.d/openfoam.list, I get:

deb http://www.openfoam.org/download/ubuntu [^] lucid main
(0001022)
wyldckat (reporter)
2012-02-03 13:29

OK, try the following sequence (do one line at a time):
  sudo apt-get update
  sudo apt-get install openfoam210 --fix-missing
  apt-get -qq --print-uris install openfoam210

Each line should do the following:
  1- update once more the apt-get repositories, just in case;
  2- it might install the scotch libraries, even if the OpenFOAM package doesn't get downloaded.
  3- should finally show the download link and a few more informations.
(0001023)
arnau1985 (reporter)
2012-02-03 13:54

1st line:
  Reading package lists... Done

2nd line:
  Reading package lists... Done
  Building dependency tree
  Reading state information... Done
  openfoam210 is already the newest version.
  0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

3rd line:
  (no output)

It works, thanks a lot!
(0001026)
tommymunro (reporter)
2012-02-05 06:26

yes, im using ubuntu 10.04
i entered:
apt-get -qq --print-uris install openfoam210
this worked, then i ran things like:
  sudo wget `apt-get -qq --print-uris install openfoam210 | awk -F\' '{print $2}'` -P /var/cache/apt/archives
  sudo wget `apt-get -qq --print-uris install paraviewopenfoam3120 | awk -F\' '{print $2}'` -P /var/cache/apt/archives

this worked for me. thanks for the help!
(0001058)
wyldckat (reporter)
2012-02-23 17:13

Bump: this bug report is related to #399
(0001060)
chris (developer)
2012-02-23 17:48

Fixed. See #399.

- Issue History
Date Modified Username Field Change
2012-02-02 17:59 arnau1985 New Issue
2012-02-02 18:07 wyldckat Note Added: 0000999
2012-02-03 10:26 arnau1985 Note Added: 0001010
2012-02-03 12:06 wyldckat Note Added: 0001013
2012-02-03 12:10 wyldckat Note Edited: 0001013 View Revisions
2012-02-03 12:51 arnau1985 Note Added: 0001018
2012-02-03 13:14 wyldckat Note Added: 0001020
2012-02-03 13:22 arnau1985 Note Added: 0001021
2012-02-03 13:29 wyldckat Note Added: 0001022
2012-02-03 13:54 arnau1985 Note Added: 0001023
2012-02-05 06:26 tommymunro Note Added: 0001026
2012-02-23 17:13 wyldckat Note Added: 0001058
2012-02-23 17:48 chris Note Added: 0001060
2012-02-23 17:48 chris Status new => closed
2012-02-23 17:48 chris Assigned To => chris
2012-02-23 17:48 chris Resolution open => fixed